summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 508c1d1)
raw | patch | inline | side by side (parent: 508c1d1)
author | Junio C Hamano <junkio@cox.net> | |
Tue, 18 Oct 2005 04:47:06 +0000 (21:47 -0700) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Tue, 18 Oct 2005 04:47:06 +0000 (21:47 -0700) |
Somehow I forgot to forward port these fixes. "git clone" from a
repository prepared with the latest update-server-info would fail
without this patch.
Signed-off-by: Junio C Hamano <junkio@cox.net>
repository prepared with the latest update-server-info would fail
without this patch.
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-clone.sh | patch | blob | history | |
git-fetch.sh | patch | blob | history |
diff --git a/git-clone.sh b/git-clone.sh
index 71431319c008fbc5771d97c4229e7054efd76395..18e692a67b1515c57a20c8574ed53836fb53f2bd 100755 (executable)
--- a/git-clone.sh
+++ b/git-clone.sh
while read sha1 refname
do
name=`expr "$refname" : 'refs/\(.*\)'` &&
- git-http-fetch -v -a -w "$name" "$name" "$1/" || exit 1
+ case "$name" in
+ *^*) ;;
+ *)
+ git-http-fetch -v -a -w "$name" "$name" "$1/" || exit 1
+ esac
done <"$clone_tmp/refs"
rm -fr "$clone_tmp"
}
diff --git a/git-fetch.sh b/git-fetch.sh
index 0cb1596f50c998ba1f4ac0e2049e1c18459fc5a8..31b1cf0306c238dad7fb5b808a7925776ac4d762 100755 (executable)
--- a/git-fetch.sh
+++ b/git-fetch.sh
then
taglist=$(git-ls-remote --tags "$remote" |
sed -e '
- /\^{}$/d
+ /\^/d
s/^[^ ]* //
s/.*/&:&/')
if test "$#" -gt 1